#### PyKDE - Python Bindings for KDE

# class KNotify.Application

Table of contents
Modules
kfile Classes
All Classes

Module | kfile
Class | KNotify.Application
Inherits |

### methods

- Application (path)

  returns a Application instance
  In versions KDE 3.1.0 and above only

  Argument | Type | Default
  --- | --- | ---
  path | QString |

- appName ()

  returns (QString)
  In versions KDE 3.1.0 and above only

- eventList ()

  returns (KNotify.EventList)

- eventList ()

  returns (QPtrList<KNotify.Event>)
  In versions KDE 3.1.0 and above, but less than KDE 3.5.0

- icon ()

  returns (QString)
  In versions KDE 3.1.0 and above only

- reloadEvents (revertToDefaults = 0)

  returns nothing
  In versions KDE 3.1.0 and above only

  Argument | Type | Default
  --- | --- | ---
  revertToDefaults | bool | 0

- save ()

  returns nothing
  In versions KDE 3.1.0 and above only

- text ()

  returns (QString)
  In versions KDE 3.1.0 and above only